usr /libexec/git-core /git-submodule
97. # succeed but the rmdir will fail. We might want to fix this.
98. if test -d "$path"
99. then
100. rmdir "$path" 2>/dev/null ||
101. die "Directory '$path' exists, but is neither empty nor a git repository"
102. fi
103.
104. test -e "$path" &&
105. die "A file already exist at path '$path'"
106.
107. if test -n "$reference"
108. then
109. git-clone "$reference" -n "$url" "$path"
110. else
38 matches | 886 lines | Bourne Shell | Bitbucket
git /git-submodule.sh
132. gitdir_base=
133. name=$(module_name "$path" 2>/dev/null)
134. base_path=$(dirname "$path")
135.
136. gitdir=$(git rev-parse --git-dir)
159. if test -d "$gitdir"
160. then
161. mkdir -p "$path"
162. echo "gitdir: $rel_gitdir" >"$path/.git"
163. rm -f "$gitdir/index"
166. if test -n "$reference"
167. then
168. git-clone $quiet "$reference" -n "$url" "$path" --separate-git-dir "$gitdir"
169. else
39 matches | 1045 lines | Bourne Shell | Bitbucket
git /git-submodule.sh
132. then
133. git-clone $quiet "$reference" -n "$url" "$path"
134. else
135. git-clone $quiet -n "$url" "$path"
136. fi ||
137. die "$(eval_gettext "Clone of '\$url' into submodule path '\$path' failed")"
188. path=$2
189.
190. if test -z "$path"; then
191. path=$(echo "$repo" |
192. sed -e 's|/$||' -e 's|:*/*\.git$||' -e 's|.*[/:]||g')
193. fi
194.
195. if test -z "$repo" -o -z "$path"; then
36 matches | 999 lines | Bourne Shell | Bitbucket
crostools /bin/git-folder /git-submodule
132. then
133. git-clone $quiet "$reference" -n "$url" "$path"
134. else
135. git-clone $quiet -n "$url" "$path"
136. fi ||
137. die "$(eval_gettext "Clone of '\$url' into submodule path '\$path' failed")"
188. path=$2
189.
190. if test -z "$path"; then
191. path=$(echo "$repo" |
192. sed -e 's|/$||' -e 's|:*/*\.git$||' -e 's|.*[/:]||g')
193. fi
194.
195. if test -z "$repo" -o -z "$path"; then
36 matches | 993 lines | Bourne Shell | Bitbucket
udunits /src /configure
1344. esac
1345. case "$path" in
1346. '')
1347. path=/dev/null
1352. esac
1353. cat >> confdefs.h <<EOF
1354. #define UD_SYSTEM_STDARG_H "$path"
1355. EOF
1356.
1413. ;;
1414. esac
1415. case "$path" in
1416. '')
1417. path=/dev/null
19 matches | 5523 lines | Bourne Shell | Bitbucket
Tizin /git /git-submodule.sh
100. # succeed but the rmdir will fail. We might want to fix this.
101. if test -d "$path"
102. then
103. rmdir "$path" 2>/dev/null ||
104. die "Directory '$path' exists, but is neither empty nor a git repository"
105. fi
106.
107. test -e "$path" &&
108. die "A file already exist at path '$path'"
109.
110. if test -n "$reference"
111. then
112. git-clone "$reference" -n "$url" "$path"
113. else
39 matches | 907 lines | Bourne Shell | Tizen
gitweb-caching /gitweb-b1ab8b5 /git-submodule.sh
97. # succeed but the rmdir will fail. We might want to fix this.
98. if test -d "$path"
99. then
100. rmdir "$path" 2>/dev/null ||
101. die "Directory '$path' exists, but is neither empty nor a git repository"
102. fi
103.
104. test -e "$path" &&
105. die "A file already exist at path '$path'"
106.
107. if test -n "$reference"
108. then
109. git-clone "$reference" -n "$url" "$path"
110. else
38 matches | 889 lines | Bourne Shell | Fedora Project
open_distrib_devel /src/osx_opensrc/osx/BerkeleyDB-21/db/dist/winmsi /s_winmsi.fcn
1124. Progress -minor "checking for Cygwin..."
1125. RequireFileInPath PATH "$PATH" m4
1126. RequireFileInPath PATH "$PATH" gcc
1127. RequireFileInPath PATH "$PATH" make
1128. RequireFileInPath PATH "$PATH" unzip
1129. RequireFileInPath PATH "$PATH" bc
1130. RequireFileInPath PATH "$PATH" openssl # needed for MD5 hashing
1131. }
1132.
1138. RequireFileInPath INCLUDE "$INCLUDE" jni.h
1139. RequireFileInPath INCLUDE "$INCLUDE" jni_md.h
1140. RequireFileInPath PATH "$PATH" jar.exe
1141. RequireFileInPath PATH "$PATH" javac.exe
1142. }
13 matches | 1443 lines | Unknown | Bitbucket
udunits /udunits-1.12.11/src /configure
3891. esac
3892. case "$path" in
3893. '')
3894. path=/dev/null
3899. esac
3900. cat >>confdefs.h <<_ACEOF
3901. #define UD_SYSTEM_STDARG_H "$path"
3902. _ACEOF
3903.
3963. ;;
3964. esac
3965. case "$path" in
3966. '')
3967. path=/dev/null
19 matches | 13697 lines | Bourne Shell | Fedora Project
dotfiles /ranger /scope.sh
27. # Find out something about the file:
28. mimetype=$(file --mime-type -Lb "$path")
29. extension=${path##*.}
30.
41. 7z|a|ace|alz|arc|arj|bz|bz2|cab|cpio|deb|gz|jar|lha|lz|lzh|lzma|lzo|\
42. rar|rpm|rz|t7z|tar|tbz|tbz2|tgz|tlz|txz|tZ|tzo|war|xpi|xz|Z|zip)
43. als "$path" | head -n $maxln
44. success && exit 0 || acat "$path" | head -n $maxln && exit 3
45. exit 1;;
46. # PDF documents:
47. pdf|PDF)
48. pdftotext -l 10 -nopgbrk -q "$path" - | head -n $maxln | fmt -s -w $width
49. success && exit 0 || exit 1;;
50. # BitTorrent Files
12 matches | 82 lines | Bourne Shell | Bitbucket
illumos-2 /usr/src/cmd/boot/scripts /create_ramdisk.ksh
210. [ -d "$rdmnt/$dir" ] || mkdir -p "$rdmnt/$dir"
211. $GZIP_CMD -c "$path" > "$rdmnt/$path"
212. else
213. print "$path"
214. fi
215. done <"$list" | cpio -pdum "$rdmnt" 2>/dev/null
475. do
476. if [ $SPLIT = no ]; then
477. print "$path"
478. elif [ -d "$path" ]; then
479. if [ $format = ufs ]; then
480. size=`ls -lLd "$path" | nawk '
481. {print ($5 % 1024) ? (int($5 / 1024) + 1) * 1024 : $5}'`
482. if [ `basename "$path"` != "amd64" ]; then
11 matches | 590 lines | Korn Shell | Bitbucket
compat-db /compat-db-4.7.25/db-4.6.21/dist/winmsi /s_winmsi.fcn
1124. Progress -minor "checking for Cygwin..."
1125. RequireFileInPath PATH "$PATH" m4
1126. RequireFileInPath PATH "$PATH" gcc
1127. RequireFileInPath PATH "$PATH" make
1128. RequireFileInPath PATH "$PATH" unzip
1129. RequireFileInPath PATH "$PATH" bc
1130. RequireFileInPath PATH "$PATH" openssl # needed for MD5 hashing
1131. }
1132.
1138. RequireFileInPath INCLUDE "$INCLUDE" jni.h
1139. RequireFileInPath INCLUDE "$INCLUDE" jni_md.h
1140. RequireFileInPath PATH "$PATH" jar.exe
1141. RequireFileInPath PATH "$PATH" javac.exe
1142. }
13 matches | 1436 lines | Unknown | Fedora Project
Tizin /db4/dist/winmsi /s_winmsi.fcn
1126. Progress -minor "checking for Cygwin..."
1127. RequireFileInPath PATH "$PATH" m4
1128. RequireFileInPath PATH "$PATH" gcc
1129. RequireFileInPath PATH "$PATH" make
1130. RequireFileInPath PATH "$PATH" unzip
1131. RequireFileInPath PATH "$PATH" bc
1132. RequireFileInPath PATH "$PATH" openssl # needed for MD5 hashing
1133. }
1134.
1140. RequireFileInPath INCLUDE "$INCLUDE" jni.h
1141. RequireFileInPath INCLUDE "$INCLUDE" jni_md.h
1142. RequireFileInPath PATH "$PATH" jar.exe
1143. RequireFileInPath PATH "$PATH" javac.exe
1144. }
13 matches | 1474 lines | Unknown | Tizen
SparkleShare /SparkleShare/Mac/git/libexec/git-core /git-submodule
109. then
110. git-clone "$reference" -n "$url" "$path"
111. else
112. git-clone -n "$url" "$path"
113. fi ||
114. die "Clone of '$url' into submodule path '$path' failed"
165. path=$2
166.
167. if test -z "$path"; then
168. path=$(echo "$repo" |
169. sed -e 's|/$||' -e 's|:*/*\.git$||' -e 's|.*[/:]||g')
170. fi
171.
172. if test -z "$repo" -o -z "$path"; then
36 matches | 904 lines | Bourne Shell | GitHub
ecalj /lm7K/SRCbank/nc/test /test.nc
113. # ... Look for executables
114. findcmd chk11a rdcmd "$path" "$maindir"
115. chk11a:
116. findcmd chk11b lm "$path" "$topdir"
117. chk11b:
118. findcmd chk11c lmstr "$path" "$maindir"
119. chk11c:
120.
479. chk51:
480. # ... Look for executables
481. findcmd chk51a rdcmd "$path" "$maindir"
482. chk51a:
483. findcmd chk51b lm "$path" "$topdir"
484. chk51b:
17 matches | 1664 lines | C Shell | GitHub
libdb /db-5.3.21/dist/winmsi /s_winmsi.fcn
104. Progress -minor "checking for Cygwin..."
105. RequireFileInPath PATH "$PATH" bash
106. }
107.
108. RequireXQilla() {
109. Progress -minor "checking for XQilla..."
110. RequireFileInPath PATH "$PATH" xqilla
111. }
112.
118. RequireFileInPath INCLUDE "$INCLUDE" jni.h
119. # RequireFileInPath INCLUDE "$INCLUDE" jni_md.h
120. RequireFileInPath PATH "$PATH" jar.exe
121. RequireFileInPath PATH "$PATH" javac.exe
122. }
9 matches | 579 lines | Unknown | Fedora Project
opendnssec /opendnssec-1.4.0a2/testing /lib.sh
35. if [ -d "$1" ]; then
36. if [ -n "$PATH" ]; then
37. echo "$PATH" | $GREP -q -- "$1" 2>/dev/null && return;
38. PATH="$PATH:$1"
39. else
47. {
48. if [ -d "$1" ]; then
49. if [ -n "$PATH" ]; then
50. echo "$PATH" | $GREP -q -- "$1" 2>/dev/null && return;
51. PATH="$1:$PATH"
52. else
146. if [ -n "$1" ]; then
147. local path=`which "$1" 2>/dev/null`
148. if [ -n "$path" -a -x "$path" ]; then
8 matches | 1679 lines | Bourne Shell | Fedora Project
macfuse /core/10.5/packaging/macfuse-core /uninstall-macfuse-core.sh
29. local path="$1"
30. case "$path" in
31. "$INSTALL_VOLUME"/./usr/local/lib/pkgconfig)
32. # We don't try to remove the pkgconfig directory.
58. function remove_file() {
59. local path="$1"
60. is_safe_prefix "$path"
61. local allow=$?
62. if [ $allow -ne 1 ]
67. fi
68.
69. if [ \( ! -e "$path" \) -a \( ! -L "$path" \) ]
70. then
71. # No longer exists
13 matches | 272 lines | Bourne Shell | Google Code
macfuse /core/10.4/packaging/macfuse-core /uninstall-macfuse-core.sh
33. local path="$1"
34. case "$path" in
35. "$INSTALL_VOLUME"/./usr/local/lib/pkgconfig)
36. # We don't try to remove the pkgconfig directory.
62. function remove_file() {
63. local path="$1"
64. is_safe_prefix "$path"
65. local allow=$?
66. if [ $allow -ne 1 ]
71. fi
72.
73. if [ \( ! -e "$path" \) -a \( ! -L "$path" \) ]
74. then
75. # No longer exists
13 matches | 235 lines | Bourne Shell | Google Code
osxfuse /packaging/uninstaller /uninstall-osxfuse-core.sh
29. local path="$1"
30. case "$path" in
31. "$INSTALL_VOLUME"/./usr/local/lib/pkgconfig)
32. # We don't try to remove the pkgconfig directory.
58. function remove_file() {
59. local path="$1"
60. is_safe_prefix "$path"
61. local allow=$?
62. if [ $allow -ne 1 ]
67. fi
68.
69. if [ \( ! -e "$path" \) -a \( ! -L "$path" \) ]
70. then
71. # No longer exists
13 matches | 282 lines | Bourne Shell | GitHub
